{
  "$schema":"http://json-schema.org/schema#",
  "$id":"nationchains/socialworld/objects/schema/nations",
  "title": "Nation definition",
  "description": "A nation from apXtrib world",
  "$comment":"see ./lg/nations_lg.json for description in your languange lg",
  "type": "object",
  "properties": {
    "nationId": {
      "type": "string",
      "pattern":"^[a-z0-9]*$"
    },
    "dtcreate": {
      "type": "string",
      "format":"datetime"
    },
    "contracts":{
      "type": "string",
      "format":"uri"
    }
  },
  "required": ["nationId", "dtcreate","contracts"],
  "additionalProperties":false,
  "apxprimarykey":["nationId"],
  "apxsearchindex": [
    { "key": "nationId", "value": [] }
  ]
}
